--[[

     ______   ________    __  __    ________   ______    ______   ________ 
#   /      \ |        \  |  \|  \  |        \ /      \  /      \ |        \
#  |  $$$$$$\ \$$$$$$$$ _| $$| $$_  \$$$$$$$$|  $$$$$$\|  $$$$$$\ \$$$$$$$$
#  | $$ __\$$   | $$   |   $$  $$ \    /  $$  \$$__| $$| $$$\| $$    /  $$ 
#  | $$|    \   | $$    \$$$$$$$$$$   /  $$   /      $$| $$$$\ $$   /  $$  
#  | $$ \$$$$   | $$   |   $$  $$ \  /  $$   |  $$$$$$ | $$\$$\$$  /  $$   
#  | $$__| $$   | $$    \$$$$$$$$$$ /  $$    | $$_____ | $$_\$$$$ /  $$    
#   \$$    $$   | $$     | $$| $$  |  $$     | $$     \ \$$  \$$$|  $$     
#    \$$$$$$     \$$      \$$ \$$   \$$       \$$$$$$$$  \$$$$$$  \$$ 

]]

local screenW,screenH = guiGetScreenSize()
local resW, resH = 1366,768
local x, y = (screenW/resW), (screenH/resH)
local components = { "area_name", "radio", "vehicle_name" }
local fonte = dxCreateFont("Font/Font1.ttf", 10)

function GTHud ( ... )
    if (not isPlayerMapVisible()) then

        local Dinheiro = getPlayerMoney(localPlayer)
        local Banco = getElementData(localPlayer, "Banco") or "0"
        local vida = math.floor(getElementHealth(getLocalPlayer()))
        local colete = math.floor(getPedArmor(getLocalPlayer()))
        local fome = getElementData(getLocalPlayer(), "hunger") or 0
        local sede = getElementData(getLocalPlayer(), "sede") or 0
        local Level = getElementData(getLocalPlayer(), "Level") or 0
    

        dxDrawRectangle(screenW * 0.7628, screenH * 0.0430, screenW * 0.2299, screenH * 0.1862, tocolor(56, 56, 56, 255), false)
        dxDrawRectangle(screenW * 0.7628, screenH * 0.2461, screenW * 0.2299, screenH * 0.0352, tocolor(56, 56, 56, 255), false)
        dxDrawImage(screenW * 0.8858, screenH * 0.0560, screenW * 0.0168, screenH * 0.0260, "icons/fome.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
        dxDrawImage(screenW * 0.8858, screenH * 0.1276, screenW * 0.0176, screenH * 0.0247, "icons/sede.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
        dxDrawLine(screenW * 0.7628, screenH * 0.0430, screenW * 0.9927, screenH * 0.0430, tocolor(184, 46, 183, 255), 1, false)
        dxDrawImage(screenW * 0.7701, screenH * 0.0560, screenW * 0.0183, screenH * 0.0326, "icons/health.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
        dxDrawImage(screenW * 0.7709, screenH * 0.1198, screenW * 0.0176, screenH * 0.0312, "icons/armor.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
        dxDrawRectangle(screenW * 0.7980, screenH * 0.0625, screenW * 0.0717, screenH * 0.0260, tocolor(208, 30, 30, 255), false)
		dxDrawText("Vida: "..vida.."%", screenW * 0.8104, screenH * 0.0625, screenW * 0.8697, screenH * 0.0742, tocolor(254, 254, 254, 255), 1.00, fonte, "left", "top", false, false, false, false, false)
        dxDrawRectangle(screenW * 0.7980, screenH * 0.1250, screenW * 0.0717, screenH * 0.0260, tocolor(114, 116, 116, 255), false)
        dxDrawText("Colete: "..colete.."%", screenW * 0.8082, screenH * 0.1250, screenW * 0.8572, screenH * 0.1393, tocolor(255, 255, 255, 255), 1.00, fonte, "left", "top", false, false, false, false, false)
        dxDrawRectangle(screenW * 0.9122, screenH * 0.0612, screenW * 0.0732, screenH * 0.0260, tocolor(204, 126, 25, 255), false)
        dxDrawText("Fome: "..fome.."%", screenW * 0.9239, screenH * 0.0612, screenW * 0.9714, screenH * 0.0755, tocolor(255, 255, 255, 255), 1.00, fonte, "left", "top", false, false, false, false, false)
        dxDrawRectangle(screenW * 0.9122, screenH * 0.1263, screenW * 0.0739, screenH * 0.0260, tocolor(14, 165, 214, 255), false)
        dxDrawText("Sede: "..sede.."%", screenW * 0.9268, screenH * 0.1276, screenW * 0.9817, screenH * 0.1406, tocolor(255, 255, 255, 255), 1.00, fonte, "left", "top", false, false, false, false, false)
        dxDrawImage(screenW * 0.7731, screenH * 0.1745, screenW * 0.0124, screenH * 0.0182, "icons/money.png", 0, 0, 0, tocolor(44, 211, 16, 255), false)
        dxDrawImage(screenW * 0.7731, screenH * 0.2057, screenW * 0.0132, screenH * 0.0169, "icons/banco.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
        dxDrawText("Carteira: "..Dinheiro, screenW * 0.7928, screenH * 0.1745, screenW * 0.8309, screenH * 0.1875, tocolor(255, 255, 255, 255), 1.00, fonte, "left", "top", false, false, false, false, false)
        dxDrawText("Banco: "..Banco, screenW * 0.7936, screenH * 0.2005, screenW * 0.8309, screenH * 0.2109, tocolor(255, 255, 255, 255), 1.00, fonte, "left", "top", false, false, false, false, false)
        dxDrawText("Level: "..Level, screenW * 0.8514, screenH * 0.2526, screenW * 0.8931, screenH * 0.2695, tocolor(255, 255, 255, 255), 1.00, fonte, "left", "top", false, false, false, false, false)
        dxDrawImage(x * 622, y * 10, x * 115, y * 95, "icons/sualogoaqui.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
        dxDrawImage(x * 1130, y * 194, x * 23, y * 19, "icons/level.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
    end
end

--/100*fome

function setHud()
    addEventHandler("onClientRender", getRootElement(), GTHud)
    setPlayerHudComponentVisible("armour", false)
    setPlayerHudComponentVisible("wanted", false)
    setPlayerHudComponentVisible("weapon", false)
    setPlayerHudComponentVisible("money", false)
    setPlayerHudComponentVisible("health", false)
    setPlayerHudComponentVisible("clock", false)
    setPlayerHudComponentVisible("breath", false)
    setPlayerHudComponentVisible("ammo", false)

    for _, component in ipairs( components ) do
        setPlayerHudComponentVisible( component, false )
    end
end
addEventHandler("onClientResourceStart", getResourceRootElement(getThisResource()), setHud)

function removeHud()
    setPlayerHudComponentVisible("armour", true)
    setPlayerHudComponentVisible("wanted", true)
    setPlayerHudComponentVisible("weapon", true)
    setPlayerHudComponentVisible("money", true)
    setPlayerHudComponentVisible("health", true)
    setPlayerHudComponentVisible("clock", true)
    setPlayerHudComponentVisible("breath", true)
    setPlayerHudComponentVisible("ammo", true)
end
addEventHandler("onClientResourceStop", getResourceRootElement(getThisResource()), removeHud)